db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick Hillegas <Richard.Hille...@Sun.COM>
Subject Re: Requiring Java 5 compiler
Date Fri, 21 Sep 2007 21:43:11 GMT
Bryan Pendleton wrote:
>> o The shell window which runs the build has to be running with Java 5 
>> or higher. That is, $JAVA_HOME needs to point at a Java 5 or Java 6 
>> installation and when you type javac in that shell window, this 
>> should resolve to the corresponding (Java 5 or Java 6) compiler.
>
> Hi Rick, that seems fine, but does it mean that I have to use
> a different shell window for building the trunk than I use for
> building 10.3? (Or, at least, that I have to reset my shell
> environment when I switch from branch to branch?)
>
> Or is it OK if Java 5 is my default Java environment when I
> build 10.2 and 10.3 (maybe this is already true? I haven't checked.)
Hi Bryan,

I am able to successfully build the 10.3 branch when my shell is 
operating in a Java 5 environment. I can't answer your question about 
10.2 because I am compiling on Mac OS X--in that environment I find that 
I have to change my ant.properties when switching between building 10.2 
and 10.3.

Could you run the 10.2 build experiment on your machine and let me know 
how it works for you: Bring up a new shell window, set it to operate in 
a Java 5 environment, then try building 10.2.

Thanks,
-Rick
>
> thanks,
>
> bryan
>


Mime
View raw message